#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Fingerprint reader library
Summary(pl.UTF-8):	Biblioteka do obsługi czytników linii papilarnych
Name:		libfprint
Version:	0.6.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://people.freedesktop.org/~hadess/%{name}-%{version}.tar.xz
# Source0-md5:	1e66f6e786348b46075368cc682450a8
URL:		http://reactivated.net/fprint/wiki/Libfprint
BuildRequires:	glib2-devel >= 1:2.28
BuildRequires:	libusb-devel >= 0.9.1
BuildRequires:	nss-devel
BuildRequires:	pixman-devel
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.28
Requires:	libusb >= 0.9.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Open source software library, written in C, designed to make it easy
for application developers to add support for consumer fingerprint
readers to their software.

%description -l pl.UTF-8
Napisana w C biblioteka o otwartym kodzie, zaprojektowana aby ułatwić
programistom dodawanie obsługi czytników linii papilarnych do ich
oprogramowania.

%package devel
Summary:	libfprint header files
Summary(pl.UTF-8):	Pliki nagłówkowe libfprint
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.28
Requires:	libusb-devel >= 0.9.1
Requires:	nss-devel
Requires:	pixman-devel

%description devel
libfprint header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe libfprint.

%package static
Summary:	Static fprint library
Summary(pl.UTF-8):	Statyczna biblioteka fprint
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static fprint library.

%description static -l pl.UTF-8
Statyczna biblioteka fprint.

%package -n udev-libfprint
Summary:	Udev rules for libfprint
Summary(pl.UTF-8):	Reguły udeva dla libfprint
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	udev-core

%description -n udev-libfprint
Udev rules for libfprint.

%description -n udev-libfprint -l pl.UTF-8
Reguły udeva dla libfprint.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libfprint.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfprint.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfprint.so
%{_libdir}/libfprint.la
%dir %{_includedir}/libfprint
%{_includedir}/libfprint/fprint.h
%{_pkgconfigdir}/libfprint.pc
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfprint.a
%endif

%files -n udev-libfprint
%defattr(644,root,root,755)
/lib/udev/rules.d/60-fprint-autosuspend.rules
%changelog
* Thu Feb 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libfprint.git;a=log;h=master

* Thu Feb 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 70059cb
- updated to 0.6.0

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 8fa55ce
- libffi rebuild
- release 2 (by relup.sh)

* Fri Aug 23 2013 Jakub Bogusz <qboosh@pld-linux.org> b0cd020
- updated to 0.5.1

* Sat Mar 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 9d0b066
- updated to 0.5.0

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c337405
- release 2

* Sat Apr 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 0b10ca0
- disable silent-rules

* Tue Apr 19 2011 Elan Ruusamäe <glen@pld-linux.org> d764316
- up to 0.4.0

* Fri Nov 12 2010 Jakub Bogusz <qboosh@pld-linux.org> 9b6994e
- pl fix

* Fri Nov 12 2010 Jakub Bogusz <qboosh@pld-linux.org> 62cbe38
- updated to 0.3.0

* Thu Nov 11 2010 Szymon Siwek <sls@pld-linux.org> 5e0710e
- BR: libusb-compat-devel (required libusb.pc)

* Sat Mar 29 2008 vip <vip@pld-linux.org> 5c78e98
- package examples

* Sat Mar 29 2008 vip <vip@pld-linux.org> c6cc6fe
- BR updated, static bcond

* Sat Mar 29 2008 vip <vip@pld-linux.org> 3c3cfea
- new, NFY
- TODO: examples, doc

